#!/bin/bash
# Copyright 2007 Dell Computer Corp
line=""
for onedevice in /proc/ide/hd?; do
   device=$(basename $onedevice)
   devdesc=`cat $onedevice/model | cut -d " " -f1`
   if [ "$devdesc" = "VIRTUALCDROM" ] || [ "$devdesc" = "VIRTUALFLOPPY" ]; then
      line="$line $device=ide-scsi"
   fi
done

if [ "$line" != "" ] ; then
   echo Appending to kernel cmdline: $line
   sed "/^[ \t]*kernel/s/$/$line/" /boot/grub/grub.conf > /boot/grub/grub.tmp
   mv /boot/grub/grub.tmp /boot/grub/grub.conf
fi
